-- ZB_DM_YJPK_HB ZB_DM_已决赔款合并



-- ZB_DM_YJPK ZB_DM_已决赔款
-- key:allyjpk/日期
-- 1、日期:已决立案日期  未决估损调整日期(yyyyMMdd)


-- 总公司 
insert into ZB_DM.ZB_DM_REDIS.SET_DECIMAL
select
    CONCAT('allyjpk/',s1.`setdate`)    as `key`
     ,cast (sumZBUDF(
                CONCAT('allyjpk/',s1.`setdate`)
                ,s1.`settledamount`
                ,s1.`setdate`
             ) as decimal (18,2))      as `val`
from ZB_ODS.ZB_ODS_KAFKA.LPDATA s1
where s1.`COMNAME` is not null
  and LEFT(s1.`setdate`,8) = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
  and s1.`flag`= 'yj'
;

-- 分公司  provyjpk
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    CONCAT('provyjpk/',s1.`setdate`)  as `key`
     ,s1.`LEVEL1COMCODE`              as `hkey`
     ,cast (sumZBUDF(
                CONCAT('provyjpk/',s1.`setdate`)
                ,s1.`settledamount`
                ,s1.`setdate`
            ) as decimal (18,2))      as `val`
from ZB_ODS.ZB_ODS_KAFKA.LPDATA s1
where s1.`COMNAME` is not null
  and LEFT(s1.`setdate`,8) = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
  and s1.`flag`= 'yj'
;

-- 中支  cityyjpk
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    CONCAT('cityyjpk/',s1.`setdate`)  as `key`
     ,s1.`LEVEL2COMCODE`              as `hkey`
     ,cast (sumZBUDF(
                CONCAT('cityyjpk/',s1.`setdate`)
                ,s1.`settledamount`
                ,s1.`setdate`
            )  as decimal (18,2))     as `val`
from ZB_ODS.ZB_ODS_KAFKA.LPDATA s1
where s1.`COMNAME` is not null
  and LEFT(s1.`setdate`,8) = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
  and s1.`flag`= 'yj'
;


-- 县支  countyyjpk
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    CONCAT('countyyjpk/',s1.`setdate`)  as `key`
     ,s1.`LEVEL3COMCODE`                as `hkey`
     ,cast (sumZBUDF(
                CONCAT('countyyjpk/',s1.`setdate`)
                ,s1.`settledamount`
                ,s1.`setdate`
            )  as decimal (18,2))       as `val`
from ZB_ODS.ZB_ODS_KAFKA.LPDATA s1
where s1.`COMNAME` is not null
  and LEFT(s1.`setdate`,8) = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
  and s1.`flag`= 'yj'
;


-- 团队  teamyjpk
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    CONCAT('teamyjpk/',s1.`setdate`)  as `key`
     ,s1.`LEVEL4COMCODE`              as `hkey`
     ,cast (sumZBUDF(
                CONCAT('teamyjpk/',s1.`setdate`)
                ,s1.`settledamount`
                ,s1.`setdate`
            )  as decimal (18,2))     as `val`
from ZB_ODS.ZB_ODS_KAFKA.LPDATA s1
where s1.`COMNAME` is not null
  and LEFT(s1.`setdate`,8) = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
  and s1.`flag`= 'yj'
;



-- ZB_DM_FXLYJPK ZB_DM_分险类已决赔款
-- allyjxlbf/日期	险类代码
-- 1、日期:已决立案日期  未决估损调整日期(yyyyMMdd)


--总公司 allyjxlbf
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    CONCAT('allyjxlbf/',s1.`setdate`)   as `key`
     ,s1.`classcode`                    as `hkey`
     ,cast (sumZBUDF(
                CONCAT('allyjxlbf/',s1.`setdate`)
                ,s1.`settledamount`
                ,s1.`setdate`
            )  as decimal (18,2))       as `val`
from ZB_ODS.ZB_ODS_KAFKA.LPDATA s1
where s1.`COMNAME` is not null
  and LEFT(s1.`setdate`,8) = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
  and s1.`flag`= 'yj'
  and s1.`classcode` is not null
;

-- 分公司
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    CONCAT('provyjxlbf/',s1.`setdate`,'/',s1.`LEVEL1COMCODE`)  as `key`
     ,s1.`classcode`                                           as `hkey`
     ,cast (sumZBUDF(
                CONCAT('provyjxlbf/',s1.`setdate`,'/',s1.`LEVEL1COMCODE`)
                ,s1.`settledamount`
                ,s1.`setdate`
            )  as decimal (18,2))                               as `val`
from ZB_ODS.ZB_ODS_KAFKA.LPDATA s1
where s1.`COMNAME` is not null
  and LEFT(s1.`setdate`,8) = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
  and s1.`flag`= 'yj'
  and s1.`classcode` is not null
;

-- 中支  cityyjxlbf
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    CONCAT('cityyjxlbf/',s1.`setdate`,'/',s1.`LEVEL2COMCODE`)  as `key`
     ,s1.`classcode`                                           as `hkey`
     ,cast (sumZBUDF(
                CONCAT('cityyjxlbf/',s1.`setdate`,'/',s1.`LEVEL2COMCODE`)
                ,s1.`settledamount`
                ,s1.`setdate`
            )  as decimal (18,2))                               as `val`
from ZB_ODS.ZB_ODS_KAFKA.LPDATA s1
where s1.`COMNAME` is not null
  and LEFT(s1.`setdate`,8) = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
  and s1.`flag`= 'yj'
  and s1.`classcode` is not null
;

-- 县支  countyyjxlbf
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    CONCAT('countyyjxlbf/',s1.`setdate`,'/',s1.`LEVEL3COMCODE`)  as `key`
     ,s1.`classcode`                                             as `hkey`
     ,cast (sumZBUDF(
               CONCAT('countyyjxlbf/',s1.`setdate`,'/',s1.`LEVEL3COMCODE`)
               ,s1.`settledamount`
               ,s1.`setdate`
           )  as decimal (18,2))                                 as `val`
from ZB_ODS.ZB_ODS_KAFKA.LPDATA s1
where s1.`COMNAME` is not null
  and LEFT(s1.`setdate`,8) = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
  and s1.`flag`= 'yj'
  and s1.`classcode` is not null
;

-- 团队  teamyjxlbf
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    CONCAT('teamyjxlbf/',s1.`setdate`,'/',s1.`LEVEL4COMCODE`)  as `key`
     ,s1.`classcode`                                           as `hkey`
     ,cast (sumZBUDF(
                CONCAT('teamyjxlbf/',s1.`setdate`,'/',s1.`LEVEL4COMCODE`)
                ,s1.`settledamount`
                ,s1.`setdate`
            )  as decimal (18,2))                              as `val`
from ZB_ODS.ZB_ODS_KAFKA.LPDATA s1
where s1.`COMNAME` is not null
  and LEFT(s1.`setdate`,8) = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
  and s1.`flag`= 'yj'
  and s1.`classcode` is not null
;



-- ZB_DM_FQDYJPK ZB_DM_分渠道已决赔款
-- chnlyjbf/日期	渠道代码
-- 1、日期:已决立案日期  未决估损调整日期(yyyyMMdd)


--总公司
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    CONCAT('chnlyjbf/',s1.`setdate`,'/00000000')   as `key`
     ,s1.`chnl`                                    as `hkey`
     ,cast (sumZBUDF(
                CONCAT('chnlyjbf/',s1.`setdate`,'/00000000')
                ,s1.`settledamount`
                ,s1.`setdate`
            )  as decimal (18,2))                  as `val`
from ZB_ODS.ZB_ODS_KAFKA.LPDATA s1
where s1.`COMNAME` is not null
  and LEFT(s1.`setdate`,8) = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
  and s1.`flag`= 'yj'
  and s1.`chnl` is not null
;

-- 分公司  chnlyjbf
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    CONCAT('chnlyjbf/',s1.`setdate`,'/',s1.`LEVEL1COMCODE`) as `key`
     ,s1.`chnl`                                             as `hkey`
     ,cast (sumZBUDF(
                CONCAT('chnlyjbf/',s1.`setdate`,'/',s1.`LEVEL1COMCODE`)
                ,s1.`settledamount`
                ,s1.`setdate`
            )  as decimal (18,2))                           as `val`
from ZB_ODS.ZB_ODS_KAFKA.LPDATA s1
where s1.`COMNAME` is not null
  and LEFT(s1.`setdate`,8) = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
  and s1.`flag`= 'yj'
  and s1.`chnl` is not null
;

-- 中支   citychnlyjbf
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    CONCAT('citychnlyjbf/',s1.`setdate`,'/',s1.`LEVEL2COMCODE`) as `key`
     ,s1.`chnl`                                                 as `hkey`
     ,cast (sumZBUDF(
                CONCAT('citychnlyjbf/',s1.`setdate`,'/',s1.`LEVEL2COMCODE`)
                ,s1.`settledamount`
                ,s1.`setdate`
            )  as decimal (18,2))                               as `val`
from ZB_ODS.ZB_ODS_KAFKA.LPDATA s1
where s1.`COMNAME` is not null
  and LEFT(s1.`setdate`,8) = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
  and s1.`flag`= 'yj'
  and s1.`chnl` is not null
;

-- 县支   countychnlyjbf
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    CONCAT('countychnlyjbf/',s1.`setdate`,'/',s1.`LEVEL3COMCODE`) as `key`
     ,s1.`chnl`                                                   as `hkey`
     ,cast (sumZBUDF(
                CONCAT('countychnlyjbf/',s1.`setdate`,'/',s1.`LEVEL3COMCODE`)
                ,s1.`settledamount`
                ,s1.`setdate`
            )  as decimal (18,2))                                 as `val`
from ZB_ODS.ZB_ODS_KAFKA.LPDATA s1
where s1.`COMNAME` is not null
  and LEFT(s1.`setdate`,8) = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
  and s1.`flag`= 'yj'
  and s1.`chnl` is not null
;

-- 团队  teamchnlyjbf
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    CONCAT('teamchnlyjbf/',s1.`setdate`,'/',s1.`LEVEL4COMCODE`) as `key`
     ,s1.`chnl`                                                 as `hkey`
     ,cast (sumZBUDF(
                CONCAT('teamchnlyjbf/',s1.`setdate`,'/',s1.`LEVEL4COMCODE`)
                ,s1.`settledamount`
                ,s1.`setdate`
            )  as decimal (18,2))                               as `val`
from ZB_ODS.ZB_ODS_KAFKA.LPDATA s1
where s1.`COMNAME` is not null
  and LEFT(s1.`setdate`,8) = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
  and s1.`flag`= 'yj'
  and s1.`chnl` is not null
;