-- ZB_DM_JRQDBF_HB ZB_DM_今日签单合并



-- ZB_DM_JRQDBF ZB_DM_今日签单保费    
-- key:allqdbf/日期
-- 1、日期:核保日期或者核批完成日期(yyyyMMdd)


-- sumZBUDF 数据累加 入参（key String ,cost String , date String）
-- sumZBUDF 通过date自动清除前一天数据，key为当前数据唯一主键，cost为需要累加的数据值
-- 总公司 
insert into ZB_DM.ZB_DM_REDIS.SET_DECIMAL
select
    CONCAT('allqdbf/',s1.`uwConclueDate`)   as `key`
    ,cast (sumZBUDF(
              CONCAT('allqdbf/',s1.`uwConclueDate`)
              ,s1.`cost`
              ,s1.`uwConclueDate`
            ) as decimal (18,2))            as `val`
from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
where
    s1.`COMNAME` is not null
and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
;

-- 分公司
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    CONCAT('provqdbf/',s1.`uwConclueDate`)  as `key`
     ,s1.`LEVEL1COMCODE`                    as `hkey`
     ,cast (sumZBUDF(
               CONCAT('provqdbf/',s1.`uwConclueDate`)
               ,s1.`cost`
               ,s1.`uwConclueDate`
            ) as decimal (18,2))            as `val`
from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
where
  s1.`COMNAME` is not null
and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
;


-- 中支
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    CONCAT('cityqdbf/',s1.`uwConclueDate`)  as `key`
     ,s1.`LEVEL2COMCODE`                    as `hkey`
     ,cast (sumZBUDF(
               CONCAT('cityqdbf/',s1.`uwConclueDate`)
               ,s1.`cost`
               ,s1.`uwConclueDate`
           )  as decimal (18,2))            as `val`
from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
where
    s1.`COMNAME` is not null
  and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
;

-- 县支 
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    CONCAT('countryqdbf/',s1.`uwConclueDate`)  as `key`
     ,s1.`LEVEL3COMCODE`                       as `hkey`
     ,cast (sumZBUDF(
               CONCAT('countryqdbf/',s1.`uwConclueDate`)
               ,s1.`cost`
               ,s1.`uwConclueDate`
            )  as decimal (18,2))              as `val`
from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
where
    s1.`COMNAME` is not null
  and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
;

-- 团队 
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    CONCAT('teamqdbf/',s1.`uwConclueDate`)  as `key`
     ,s1.`LEVEL4COMCODE`                    as `hkey`
     ,cast(sumZBUDF(
               CONCAT('teamqdbf/',s1.`uwConclueDate`)
               ,s1.`cost`
               ,s1.`uwConclueDate`
           )  as decimal (18,2))            as `val`
from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
where
    s1.`COMNAME` is not null
  and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
;




-- ZB_DM_JRQDJNQBBF ZB_DM_今日签单今年待起保保费
-- key:allqbbf/日期
-- 1、日期:核保日期或者核批完成日期(yyyyMMdd)
-- 2、起保时间小于等于当年

-- 总公司
insert into ZB_DM.ZB_DM_REDIS.SET_DECIMAL
select
    CONCAT('allqbbf/',s1.`uwConclueDate`)  as `key`
     ,cast (sumZBUDF(
               CONCAT('allqbbf/',s1.`uwConclueDate`)
               ,s1.`cost`
               ,s1.`uwConclueDate`
           )  as decimal (18,2))            as `val`
from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
where s1.`COMNAME` is not null
  and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
  and left(s1.`startTime`,4) <= DATE_FORMAT(LOCALTIMESTAMP,'yyyy')
;


-- 分公司  
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    CONCAT('provqbbf/',s1.`uwConclueDate`)    as `key`
     ,s1.`LEVEL1COMCODE`                      as `hkey`
     ,cast (sumZBUDF(
                CONCAT('provqbbf/',s1.`uwConclueDate`)
                ,s1.`cost`
                ,s1.`uwConclueDate`
            )   as decimal (18,2))            as `val`
from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
where s1.`COMNAME` is not null
  and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
  and left(s1.`startTime`,4) <= DATE_FORMAT(LOCALTIMESTAMP,'yyyy')
;

-- 中支   cityqbbf
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    CONCAT('cityqbbf/',s1.`uwConclueDate`)    as `key`
     ,s1.`LEVEL2COMCODE`                      as `hkey`
     ,cast (sumZBUDF(
               CONCAT('cityqbbf/',s1.`uwConclueDate`)
               ,s1.`cost`
               ,s1.`uwConclueDate`
            )  as decimal (18,2))             as `val`
from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
where s1.`COMNAME` is not null
  and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
  and left(s1.`startTime`,4) <= DATE_FORMAT(LOCALTIMESTAMP,'yyyy')
;


-- 县支   countryqbbf
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    CONCAT('countryqbbf/',s1.`uwConclueDate`)    as `key`
     ,s1.`LEVEL3COMCODE`                         as `hkey`
     ,cast (sumZBUDF(
               CONCAT('countryqbbf/',s1.`uwConclueDate`)
               ,s1.`cost`
               ,s1.`uwConclueDate`
            )  as decimal (18,2))                as `val`
from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
where s1.`COMNAME` is not null
  and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
  and left(s1.`startTime`,4) <= DATE_FORMAT(LOCALTIMESTAMP,'yyyy')
;


-- 团队  teamqbbf
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    CONCAT('teamqbbf/',s1.`uwConclueDate`)    as `key`
     ,s1.`LEVEL4COMCODE`                      as `hkey`
     ,cast (sumZBUDF(
               CONCAT('teamqbbf/',s1.`uwConclueDate`)
               ,s1.`cost`
               ,s1.`uwConclueDate`
           )   as decimal (18,2))             as `val`
from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
where s1.`COMNAME` is not null
  and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
  and left(s1.`startTime`,4) <= DATE_FORMAT(LOCALTIMESTAMP,'yyyy')
;



-- ZB_DM_JRQDJDMQBBF ZB_DM_今日签单季度末待起保保费
-- key:allquarterqdbf
-- 1、日期:核保日期或者核批完成日期(yyyyMMdd)
-- 2、起保时间小于等于当季度

--  总公司  allquarterqdbf
insert into ZB_DM.ZB_DM_REDIS.SET_DECIMAL
select
    CONCAT('allquarterqdbf/',s1.`uwConclueDate`)    as `key`
     ,cast (sumZBUDF(
               CONCAT('allquarterqdbf/',s1.`uwConclueDate`)
               ,s1.`cost`
               ,s1.`uwConclueDate`
            )   as decimal (18,2))                  as `val`
from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
where s1.`COMNAME` is not null
  and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
-- 核保时间在今天并且起保时间的月份小于等于季度。
  and CASE WHEN DATE_FORMAT(LOCALTIMESTAMP,'MM') in ('01','02','03') THEN left(s1.`startTime`,6) <= CONCAT(DATE_FORMAT(LOCALTIMESTAMP,'yyyy'),'03')
           WHEN DATE_FORMAT(LOCALTIMESTAMP,'MM') in ('04','05','06') THEN left(s1.`startTime`,6) <= CONCAT(DATE_FORMAT(LOCALTIMESTAMP,'yyyy'),'06')
           WHEN DATE_FORMAT(LOCALTIMESTAMP,'MM') in ('07','08','09') THEN left(s1.`startTime`,6) <= CONCAT(DATE_FORMAT(LOCALTIMESTAMP,'yyyy'),'09')
           WHEN DATE_FORMAT(LOCALTIMESTAMP,'MM') in ('10','11','12') THEN left(s1.`startTime`,6) <= CONCAT(DATE_FORMAT(LOCALTIMESTAMP,'yyyy'),'12')
            END
;

-- 分公司  provquarterqdbf
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    CONCAT('provquarterqdbf/',s1.`uwConclueDate`)    as `key`
     ,s1.`LEVEL1COMCODE`                             as `hkey`
     ,cast (sumZBUDF(
               CONCAT('provquarterqdbf/',s1.`uwConclueDate`)
               ,s1.`cost`
               ,s1.`uwConclueDate`
            )   as decimal (18,2))                   as `val`
from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
where s1.`COMNAME` is not null
  and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
-- 核保时间在今天并且起保时间的月份小于等于季度。
  and CASE WHEN DATE_FORMAT(LOCALTIMESTAMP,'MM') in ('01','02','03') THEN left(s1.`startTime`,6) <= CONCAT(DATE_FORMAT(LOCALTIMESTAMP,'yyyy'),'03')
           WHEN DATE_FORMAT(LOCALTIMESTAMP,'MM') in ('04','05','06') THEN left(s1.`startTime`,6) <= CONCAT(DATE_FORMAT(LOCALTIMESTAMP,'yyyy'),'06')
           WHEN DATE_FORMAT(LOCALTIMESTAMP,'MM') in ('07','08','09') THEN left(s1.`startTime`,6) <= CONCAT(DATE_FORMAT(LOCALTIMESTAMP,'yyyy'),'09')
           WHEN DATE_FORMAT(LOCALTIMESTAMP,'MM') in ('10','11','12') THEN left(s1.`startTime`,6) <= CONCAT(DATE_FORMAT(LOCALTIMESTAMP,'yyyy'),'12')
            END
;

-- 中支  cityquarterqdbf
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    CONCAT('cityquarterqdbf/',s1.`uwConclueDate`)    as `key`
     ,s1.`LEVEL2COMCODE`                             as `hkey`
     ,cast (sumZBUDF(
                CONCAT('cityquarterqdbf/',s1.`uwConclueDate`)
                ,s1.`cost`
                ,s1.`uwConclueDate`
            )   as decimal (18,2))                   as `val`
from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
where s1.`COMNAME` is not null
  and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
-- 核保时间在今天并且起保时间的月份小于等于季度。
  and CASE WHEN DATE_FORMAT(LOCALTIMESTAMP,'MM') in ('01','02','03') THEN left(s1.`startTime`,6) <= CONCAT(DATE_FORMAT(LOCALTIMESTAMP,'yyyy'),'03')
           WHEN DATE_FORMAT(LOCALTIMESTAMP,'MM') in ('04','05','06') THEN left(s1.`startTime`,6) <= CONCAT(DATE_FORMAT(LOCALTIMESTAMP,'yyyy'),'06')
           WHEN DATE_FORMAT(LOCALTIMESTAMP,'MM') in ('07','08','09') THEN left(s1.`startTime`,6) <= CONCAT(DATE_FORMAT(LOCALTIMESTAMP,'yyyy'),'09')
           WHEN DATE_FORMAT(LOCALTIMESTAMP,'MM') in ('10','11','12') THEN left(s1.`startTime`,6) <= CONCAT(DATE_FORMAT(LOCALTIMESTAMP,'yyyy'),'12')
            END
;


-- 县支   countyquarterqdbf
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    CONCAT('countyquarterqdbf/',s1.`uwConclueDate`)    as `key`
     ,s1.`LEVEL3COMCODE`                               as `hkey`
     ,cast (sumZBUDF(
                CONCAT('countyquarterqdbf/',s1.`uwConclueDate`)
                ,s1.`cost`
                ,s1.`uwConclueDate`
            )   as decimal (18,2))                     as `val`
from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
where s1.`COMNAME` is not null
  and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
-- 核保时间在今天并且起保时间的月份小于等于季度。
  and CASE WHEN DATE_FORMAT(LOCALTIMESTAMP,'MM') in ('01','02','03') THEN left(s1.`startTime`,6) <= CONCAT(DATE_FORMAT(LOCALTIMESTAMP,'yyyy'),'03')
           WHEN DATE_FORMAT(LOCALTIMESTAMP,'MM') in ('04','05','06') THEN left(s1.`startTime`,6) <= CONCAT(DATE_FORMAT(LOCALTIMESTAMP,'yyyy'),'06')
           WHEN DATE_FORMAT(LOCALTIMESTAMP,'MM') in ('07','08','09') THEN left(s1.`startTime`,6) <= CONCAT(DATE_FORMAT(LOCALTIMESTAMP,'yyyy'),'09')
           WHEN DATE_FORMAT(LOCALTIMESTAMP,'MM') in ('10','11','12') THEN left(s1.`startTime`,6) <= CONCAT(DATE_FORMAT(LOCALTIMESTAMP,'yyyy'),'12')
            END
;


-- 团队  teamquarterqdbf
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    CONCAT('teamquarterqdbf/',s1.`uwConclueDate`)    as `key`
     ,s1.`LEVEL4COMCODE`                             as `hkey`
     ,cast (sumZBUDF(
                CONCAT('teamquarterqdbf/',s1.`uwConclueDate`)
                ,s1.`cost`
                ,s1.`uwConclueDate`
            )   as decimal (18,2))                   as `val`
from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
where s1.`COMNAME` is not null
  and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
-- 核保时间在今天并且起保时间的月份小于等于季度。
  and CASE WHEN DATE_FORMAT(LOCALTIMESTAMP,'MM') in ('01','02','03') THEN left(s1.`startTime`,6) <= CONCAT(DATE_FORMAT(LOCALTIMESTAMP,'yyyy'),'03')
           WHEN DATE_FORMAT(LOCALTIMESTAMP,'MM') in ('04','05','06') THEN left(s1.`startTime`,6) <= CONCAT(DATE_FORMAT(LOCALTIMESTAMP,'yyyy'),'06')
           WHEN DATE_FORMAT(LOCALTIMESTAMP,'MM') in ('07','08','09') THEN left(s1.`startTime`,6) <= CONCAT(DATE_FORMAT(LOCALTIMESTAMP,'yyyy'),'09')
           WHEN DATE_FORMAT(LOCALTIMESTAMP,'MM') in ('10','11','12') THEN left(s1.`startTime`,6) <= CONCAT(DATE_FORMAT(LOCALTIMESTAMP,'yyyy'),'12')
            END
;




-- ZB_DM_JRQDYDQQBBF ZB_DM_今日签单月底前起保保费
-- key:allmonthqbbf/日期
-- 1、日期:核保日期或者核批完成日期(yyyyMMdd)
-- 2、起保时间小于等于当月

--  总公司  allmonthqbbf
insert into ZB_DM.ZB_DM_REDIS.SET_DECIMAL
select
    CONCAT('allmonthqbbf/',s1.`uwConclueDate`)    as `key`
     ,cast (sumZBUDF(
                CONCAT('allmonthqbbf/',s1.`uwConclueDate`)
            ,s1.`cost`
            ,s1.`uwConclueDate`
            )   as decimal (18,2))                as `val`
from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
where s1.`COMNAME` is not null
  and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
  and left(s1.`startTime`,6) <= DATE_FORMAT(LOCALTIMESTAMP,'yyyyMM')
;



-- 分公司  provmonthqbbf
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    CONCAT('provmonthqbbf/',s1.`uwConclueDate`)    as `key`
     ,s1.`LEVEL1COMCODE`                           as `hkey`
     ,cast (sumZBUDF(
                CONCAT('provmonthqbbf/',s1.`uwConclueDate`)
                ,s1.`cost`
                ,s1.`uwConclueDate`
            )   as decimal (18,2))                 as `val`
from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
where s1.`COMNAME` is not null
  and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
  and left(s1.`startTime`,6) <= DATE_FORMAT(LOCALTIMESTAMP,'yyyyMM')
;

-- 中支   citymonthqbbf
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    CONCAT('citymonthqbbf/',s1.`uwConclueDate`)    as `key`
     ,s1.`LEVEL2COMCODE`                           as `hkey`
     ,cast (sumZBUDF(
                CONCAT('citymonthqbbf/',s1.`uwConclueDate`)
                ,s1.`cost`
                ,s1.`uwConclueDate`
            )   as decimal (18,2))                 as `val`
from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
where s1.`COMNAME` is not null
  and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
  and left(s1.`startTime`,6) <= DATE_FORMAT(LOCALTIMESTAMP,'yyyyMM')
;


-- 县支   countrymonthqbbf
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    CONCAT('countrymonthqbbf/',s1.`uwConclueDate`)    as `key`
     ,s1.`LEVEL3COMCODE`                              as `hkey`
     ,cast (sumZBUDF(
                CONCAT('countrymonthqbbf/',s1.`uwConclueDate`)
                ,s1.`cost`
                ,s1.`uwConclueDate`
            )   as decimal (18,2))                    as `val`
from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
where s1.`COMNAME` is not null
  and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
  and left(s1.`startTime`,6) <= DATE_FORMAT(LOCALTIMESTAMP,'yyyyMM')
;


-- 团队  teammonthqbbf
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    CONCAT('teammonthqbbf/',s1.`uwConclueDate`)    as `key`
     ,s1.`LEVEL4COMCODE`                           as `hkey`
     ,cast (sumZBUDF(
                CONCAT('teammonthqbbf/',s1.`uwConclueDate`)
                ,s1.`cost`
                ,s1.`uwConclueDate`
            )   as decimal (18,2))                 as `val`
from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
where s1.`COMNAME` is not null
  and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
  and left(s1.`startTime`,6) <= DATE_FORMAT(LOCALTIMESTAMP,'yyyyMM')
;




-- ZB_DM_JRQDJRQBBF ZB_DM_今日签单今日待起保保费
-- key:alldayqdbf/日期
-- 1、日期:核保日期或者核批完成日期(yyyyMMdd)
-- 2、起保时间小于等于当日

-- 总公司
insert into ZB_DM.ZB_DM_REDIS.SET_DECIMAL
select
    CONCAT('alldayqdbf/',s1.`uwConclueDate`) as `key`
    ,cast (sumZBUDF(
               CONCAT('alldayqdbf/',s1.`uwConclueDate`)
               ,s1.`cost`
               ,s1.`uwConclueDate`
            ) as decimal (18,2))             as `val`
from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
where s1.`COMNAME` is not null
  and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
  and left(s1.`startTime`,8) <= DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
;

-- 分公司
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    CONCAT('provdayqdbf/',s1.`uwConclueDate`) as `key`
     ,s1.`LEVEL1COMCODE`                      as `hkey`
     ,cast (sumZBUDF(
                CONCAT('provdayqdbf/',s1.`uwConclueDate`)
                ,s1.`cost`
                ,s1.`uwConclueDate`
            ) as decimal (18,2))              as `val`
from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
where s1.`COMNAME` is not null
  and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
  and left(s1.`startTime`,8) <= DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
;

-- 中支  citydayqdbf
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    CONCAT('citydayqdbf/',s1.`uwConclueDate`) as `key`
     ,s1.`LEVEL2COMCODE`                      as `hkey`
     ,cast (sumZBUDF(
                CONCAT('citydayqdbf/',s1.`uwConclueDate`)
                ,s1.`cost`
                ,s1.`uwConclueDate`
            ) as decimal (18,2))              as `val`
from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
where s1.`COMNAME` is not null
  and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
  and left(s1.`startTime`,8) <= DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
;


-- 县支  countrydayqdbf
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    CONCAT('countrydayqdbf/',s1.`uwConclueDate`) as `key`
     ,s1.`LEVEL3COMCODE`                         as `hkey`
     ,cast (sumZBUDF(
                CONCAT('countrydayqdbf/',s1.`uwConclueDate`)
                ,s1.`cost`
                ,s1.`uwConclueDate`
            ) as decimal (18,2))                 as `val`
from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
where s1.`COMNAME` is not null
  and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
  and left(s1.`startTime`,8) <= DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
;


-- 团队   teamdayqdbf
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    CONCAT('teamdayqdbf/',s1.`uwConclueDate`) as `key`
     ,s1.`LEVEL4COMCODE`                      as `hkey`
     ,cast (sumZBUDF(
                CONCAT('teamdayqdbf/',s1.`uwConclueDate`)
                ,s1.`cost`
                ,s1.`uwConclueDate`
            ) as decimal (18,2))              as `val`
from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
where s1.`COMNAME` is not null
  and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
  and left(s1.`startTime`,8) <= DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
;

